#!/bin/bash

###########################################
# ddnss.de - Updater                      #
# (Stand: 20.01.2016)                     #
###########################################

# Variablen
###########
# Authentifizierungs-Key eintragen:
KEYAUTH="dfjndfnjgdslfnglfdsglfdsmgldsfmgldfsmgldkmfgldkfmgldsmglfb96d19c3"
# Hostnamen (Url) eintragen:
HOSTNAME="xyz.ddnss.de" 
# lokaler Work Pfad (normalerweise /tmp) fr Logs etc.
PFAD="/tmp"
# Intervall fr die Prfung auf genderte IP-Adresse:
INTERVALL="600" # alle 10 Minuten prfen

# optionale Variablen (nicht bentigt)
######################################
# ALLHOST="all" # Alternativ Hostname
# USERNAME=""
# PASSWORD=""


# Ab hier keine nderungen ntig:

while true; do

DATUM=`date +%Y-%m-%d\ %H:%M:%S`
IP=`wget -q -O - http://www.ddnss.de/meineip.php| grep -o '[0-9]\{1,3\}\.[0-9]\{1,3\}\.[0-9]\{1,3\}\.[0-9]\{1,3\}'`
UPDIP=`cat $PFAD/updip.txt`
echo "Aktuelle IP=$UPDIP"
 
if [ "$IP" == "$UPDIP" ]; then
        echo "$DATUM - IP is gleich - KEIN UPDATE" >> $PFAD/log.txt
        echo "$DATUM - IP is gleich - KEIN UPDATE"
else
        echo "$DATUM -  Neue-IP: $IP / Alte-IP: $UPDIP - UPDATE!" >> $PFAD/log.txt
        echo "$DATUM -  Neue-IP: $IP / Alte-IP: $UPDIP - UPDATE!"
        echo $IP > $PFAD/updip.txt
  # Update-URL:
	wget -q -O - 'http://www.ddnss.de/upd.php?key='$KEYAUTH'&host='$HOSTNAME'' >> $PFAD/log.txt
	# Alternative Update-URL (im Falle der Nutzung von Username/Password und/oder bspw. AllHost!
	# wget -q -O - 'http://www.ddnss.de/upd.php?user='$USERNAME'&pwd='$PASSWORD'&host='$HOSTNAME'&host='$ALLHOST''>> $PFAD/log.txt
	echo " " >> $PFAD/log.txt
	echo "-------------------------------------------" >> $PFAD/log.txt
	echo " " >> $PFAD/log.txt
	echo "Update der IP beendet..."
fi

sleep $INTERVALL

done

